[package]
name = "nano"
version = "0.1.0"
edition = "2024"

[[bin]]
name = "nano"
path = "src-nano/main.rs"

[dependencies]
tokio = { version = "1.0", features = ["full"] }
axum = { version = "0.7", features = ["ws"] }
tower = { version = "0.4", features = ["util"] }
tower-http = { version = "0.5", features = ["fs", "cors"] }
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
tao = "0.16"
wry = "0.24"
whoami = "1.4"
fs_extra = "1.3"
include_dir = "0.7"
mime_guess = "2.0"
# IPC system dependencies
async-trait = "0.1"
tokio-tungstenite = "0.21"
futures-util = "0.3"
uuid = { version = "1.0", features = ["v4"] }
tracing = "0.1"
tracing-subscriber = "0.3"
once_cell = "1.19"
chrono = { version = "0.4", features = ["serde"] }
inventory = "0.3"

[profile.release]
strip = true  # Remove debug symbols
opt-level = "z"  # Optimize for size
lto = true    # Enable Link Time Optimization
codegen-units = 1  # Better optimization
panic = "abort"  # Reduce binary size
